Skip to main content
DELETE
/
v1
/
checks
/
{id}
Delete a check
curl --request DELETE \
  --url https://api.checklyhq.com/v1/checks/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.checklyhq.com/v1/checks/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.checklyhq.com/v1/checks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Bad Token",
  "attributes": {}
}
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
string
required

Response

No Content